Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 424647 - archives.gentoo.org: Broken URLs for e.g. gentoo-dev-announce and others
Summary: archives.gentoo.org: Broken URLs for e.g. gentoo-dev-announce and others
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: Other (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Infrastructure
URL: http://article.gmane.org/gmane.linux....
Whiteboard: As of 20120817, archive generation di...
Keywords:
: 413633 434656 447788 451412 453770 462848 465438 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-07-03 20:53 UTC by Jeremy Olexa (darkside) (RETIRED)
Modified: 2015-02-25 23:44 UTC (History)
19 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-07-03 20:53:53 UTC
archives.gentoo.org: Broken URLs for gentoo-dev-announce (others work fine)
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-07-03 21:21:52 UTC
Also, mildly concerning is that I haven't received mail from -dev-announce
Comment 2 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-07-03 21:30:43 UTC
(In reply to comment #1)
> Also, mildly concerning is that I haven't received mail from -dev-announce

Ignore that comment, gmail is being tricky
Comment 3 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-07-06 15:47:52 UTC
(In reply to comment #0)
> archives.gentoo.org: Broken URLs for gentoo-dev-announce (others work fine)

-pms, -bsd, -catalyst and -cluster too
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-07-11 14:32:39 UTC
-dev-announce is fixed, others are not at this time.
Comment 5 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2012-07-12 22:39:25 UTC
22:31 <@idl0r> jmbsvicetto: can you please "ping" on that bug? :P

*ping* :-P

btw, gentoo-releng-autobuilds is also missing emails.
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-07-16 13:11:42 UTC
(In reply to comment #5)
> 
> btw, gentoo-releng-autobuilds is also missing emails.

Yes, all archives are "missing mails" now because generation is disabled until this bug is fixed.
Comment 7 Michael Mol 2012-07-16 13:38:48 UTC
-user had been completely missing, but it's there now. However, the link reads and points to "#gentoo-user", rather than "gentoo-user", which breaks navigation.
Comment 8 Christian Ruppert (idl0r) gentoo-dev 2012-07-16 17:43:37 UTC
(In reply to comment #7)
> -user had been completely missing, but it's there now. However, the link
> reads and points to "#gentoo-user", rather than "gentoo-user", which breaks
> navigation.

The -user list has been removed from the index again because it was actually disabled.
Comment 9 Michael Mol 2012-07-16 17:45:35 UTC
Disabled in what sense? There are seven active threads today.
Comment 10 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-08-17 13:57:49 UTC
*** Bug 413633 has been marked as a duplicate of this bug. ***
Comment 11 Michael Mol 2012-08-17 14:07:17 UTC
Bug 413633 was about out-of-date archives for -user, -dev and -announce.

It was marked as a dupe of this one, so I figure it would at least help if that information was relayed here. Also, in bug 413633, it was noted that archive generation was disabled in response to this bug.

Why disable the archive generation, rather than just fix the links, anyway? Also, bug 413633 was reported two months before this bug...was archive generation explicitly disabled due to broken URLs before either bug was filed into bgo?
Comment 12 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-08-17 14:15:15 UTC
(In reply to comment #11)
> Bug 413633 was about out-of-date archives for -user, -dev and -announce.
> 
> It was marked as a dupe of this one, so I figure it would at least help if
> that information was relayed here. Also, in bug 413633, it was noted that
> archive generation was disabled in response to this bug.

No need to relay, we got it.

> 
> Why disable the archive generation, rather than just fix the links, anyway?

See comment #6 or the whiteboard.

> Also, bug 413633 was reported two months before this bug...was archive
> generation explicitly disabled due to broken URLs before either bug was
> filed into bgo?

Indeed, but the topic of that bug changed so something had to be done, as I explained. Two bugs for the same issue is not helpful.
Comment 13 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-09-11 06:22:40 UTC
*** Bug 434656 has been marked as a duplicate of this bug. ***
Comment 14 Wim Muskee 2012-09-20 15:15:47 UTC
http://archives.gentoo.org/gentoo-soc/ is broken too, lots of different posts link to the same 000x.xml
Comment 15 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2012-12-20 00:58:19 UTC
*** Bug 447788 has been marked as a duplicate of this bug. ***
Comment 16 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2013-01-14 18:16:39 UTC
*** Bug 451412 has been marked as a duplicate of this bug. ***
Comment 17 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2013-01-24 08:44:48 UTC
*** Bug 453770 has been marked as a duplicate of this bug. ***
Comment 18 Michael Weber (RETIRED) gentoo-dev 2013-01-24 08:50:51 UTC
Please post a link to this page on top of archive.g.o.
Comment 19 Markos Chandras (RETIRED) gentoo-dev 2013-02-26 09:54:43 UTC
(In reply to comment #18)
> Please post a link to this page on top of archive.g.o.

Yes that would be very useful. Could you please point people to this bug until it is fixed?
Comment 20 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2013-03-24 01:16:22 UTC
*** Bug 462848 has been marked as a duplicate of this bug. ***
Comment 21 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2013-03-24 01:36:52 UTC
(In reply to comment #19)
> (In reply to comment #18)
> > Please post a link to this page on top of archive.g.o.
> 
> Yes that would be very useful. Could you please point people to this bug
> until it is fixed?

done
Comment 22 W. Trevor King 2013-04-11 11:07:32 UTC
*** Bug 465438 has been marked as a duplicate of this bug. ***
Comment 23 David Heidelberg (okias) 2014-01-01 22:51:22 UTC
archives.gentoo.org - what is actual status please?
Comment 24 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2014-01-01 23:57:01 UTC
(In reply to David Heidelberger (okias) from comment #23)
> archives.gentoo.org - what is actual status please?

http://infra-status.gentoo.org/notice/20120703-archives
Also, see $URL.
Comment 25 David Heidelberg (okias) 2014-01-12 16:10:52 UTC
Thank you, from point of user ignoring all signs, can be warning made more visible?

color: #FF4444;
font-size: 150%;
font-weight: bold;

This should be enough to users notice.

Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
Comment 26 David Heidelberg (okias) 2014-01-12 16:11:59 UTC
and maybe list on archives.gentoo.org greyed out? <div style="color: grey !important;"> </div> should be probably enough.
Comment 27 Brian Harring (RETIRED) gentoo-dev 2014-02-21 15:13:33 UTC
Nudge; if someone can lay out the details of the breakage- what needs investigation/fixing, I likely can resolve it if I can get access to some data samples (my personal archives are on a melted server).
Comment 28 Ulrich Müller gentoo-dev 2014-08-26 20:44:25 UTC
Removing council from CC, as decided in today's council meeting.
Comment 29 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2015-02-25 23:44:12 UTC
I am proud that on this day, I can pronounce this bug to be resolved.